Page MenuHomePhabricator

[[MediaWiki:Visualeditor-debugbar-testsquasher/nb]]: "test the transaction squasher"?
Closed, ResolvedPublic

Description

What on earth does "test squasher" mean? The documentation message ("Label for the button in the debug toolbar to test the transaction squasher.") tells me nada.


URL: https://translatewiki.net/wiki/MediaWiki:Visualeditor-debugbar-testsquasher/nb

Event Timeline

jhsoby created this task.Aug 21 2018, 10:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 21 2018, 10:45 PM
Aklapper renamed this task from [[MediaWiki:Visualeditor-debugbar-testsquasher/nb]] translation issue to [[MediaWiki:Visualeditor-debugbar-testsquasher/nb]]: "test the transaction squasher"?.Aug 22 2018, 8:55 AM
Aklapper added a project: VisualEditor.

Well, this is question for translatewiki support. (Test is verb in this case, so you just need to translate squasher into your language.)

jhsoby added a comment.Sep 4 2018, 5:25 PM

Well yes, I know what "test" means. But what the hell is a squasher in this context?

See T188026 for context. Alternative words for "squasher" could be "compactor" or "combiner".

In short, the squasher is an algorithm that can merge several "transactions" (things that represent changes to the document, like inserting a character at a given position) into one, for the purpose of reducing memory usage when we don't need the granularity. We maintain the history of transactions for undo/redo (and in the future, for synchronizing the editors when editing collaboratively) and in some cases one undo step is represented by several transactions.

For example, typing "test" is internally represented as four transactions (insert "t", insert "e", insert "s", insert "t"), and this system can convert it into one transaction (insert "test"). For a more complicated example, inserting a picture with caption is internally represented as two transactions (one for the picture structure, one for the caption text), and this system can convert it into one.

I am not sure if this helps you translate. :)

matmarex closed this task as Resolved.Oct 12 2018, 11:28 PM
matmarex claimed this task.

I hope that helps. I added a link to this comment in https://translatewiki.net/wiki/MediaWiki:Visualeditor-debugbar-testsquasher/qqq.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptOct 12 2018, 11:28 PM